rte_swx_ipsec_sa_encap_params(3)

NAME
rte_swx_ipsec_sa_encap_params

SYNOPSIS

#include <rte_swx_ipsec.h>

  Data Fields

struct {
uint32_t spi
} esp
int tunnel_mode
int tunnel_ipv4
union {
struct {
struct in_addr src_addr
struct in_addr dst_addr
} ipv4
struct {
struct rte_ipv6_addr src_addr
struct rte_ipv6_addr dst_addr
} ipv6
} tunnel

Detailed Description

IPsec protocol encapsulation parameters.

Definition at line 225 of file rte_swx_ipsec.h.

Field Documentation

  uint32_t spi
Security Parameters Index (SPI) field.

Definition at line 229 of file rte_swx_ipsec.h.

  struct { ... } esp
Encapsulating Security Payload (ESP) header.

  int tunnel_mode
Tunnel mode when non-zero, transport mode when zero.

Definition at line 233 of file rte_swx_ipsec.h.

  int tunnel_ipv4
Tunnel type: Non-zero for IPv4, zero for IPv6. Valid for tunnel mode only.

Definition at line 236 of file rte_swx_ipsec.h.

  struct in_addr src_addr
Source address.

Definition at line 243 of file rte_swx_ipsec.h.

  struct in_addr dst_addr
Destination address.

Definition at line 246 of file rte_swx_ipsec.h.

  struct { ... } ipv4
IPv4 header.

  struct rte_ipv6_addr src_addr
Source address.

Definition at line 252 of file rte_swx_ipsec.h.

  struct rte_ipv6_addr dst_addr
Destination address.

Definition at line 255 of file rte_swx_ipsec.h.

  struct { ... } ipv6
IPv6 header.

  union { ... } tunnel
Tunnel parameters. Valid for tunnel mode only.

Author

Generated automatically by Doxygen for DPDK from the source code.